Ask Your Question
0

Couldn't find the required packages

asked 2018-11-06 22:41:11 -0600

Ibrahim_aerospace gravatar image

updated 2018-11-06 23:15:42 -0600

ahendrix gravatar image

Hello everyone! I want to test my Gazebo version 9 with wheeled robot simulation. I cloned the package. But when I compile the packages it gives me the error of missing some packages. I dont have any idea about these packages. If someone know how to get rid of this problem. please help me. Thanks

-- Could not find the required component 'robotnik_msgs'. The following CMake error indicates that you either need to install the package with the same name or change your environment so that it can be found.
CMake Error at /opt/ros/kinetic/share/catkin/cmake/catkinConfig.cmake:83 (find_package):
  Could not find a package configuration file provided by "robotnik_msgs"
  with any of the following names:

    robotnik_msgsConfig.cmake
    robotnik_msgs-config.cmake

  Add the installation prefix of "robotnik_msgs" to CMAKE_PREFIX_PATH or set
  "robotnik_msgs_DIR" to a directory containing one of the above files.  If
  "robotnik_msgs" provides a separate development package or SDK, be sure it
  has been installed.
Call Stack (most recent call first):
  summit_xl/summit_xl_common/summit_xl_pad/CMakeLists.txt:4 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/ibrahim/catkin_ws/build/CMakeFiles/CMakeOutput.log".
See also "/home/ibrahim/catkin_ws/build/CMakeFiles/CMakeError.log".
edit retag flag offensive close merge delete

Comments

1

Do you have the robotnik_msgs package installed or in your workspace? When you cloned the package did you install its dependencies before trying to compile it?

ahendrix gravatar imageahendrix ( 2018-11-06 23:16:50 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2018-11-07 10:12:24 -0600

R J gravatar image

Hello,in the case you cant find the reqiured package, take a look in your package files (launch, urdf...) and look where it get called. Comment it out and replace with ros common commands. This helped me when i downloaded packages from ros development studio.

edit flag offensive delete link more

Comments

@R J Hello brother! have you tried to run the packages on your local machine that you downloaded from ROS Development Studio ? if yes can you please guide me? because I tried a lot but I am failed. I tried to put the packages in my catkin_ws which are placed ROSJect Cloud but when I try to run them

Ibrahim_aerospace gravatar imageIbrahim_aerospace ( 2018-11-08 05:12:04 -0600 )edit

@R J or compile them they give me errors. I cant solve the problem. Please guide me. I shall be thankful to you.

Ibrahim_aerospace gravatar imageIbrahim_aerospace ( 2018-11-08 05:13:47 -0600 )edit

Look at this video from RDS-Developers "https://www.youtube.com/watch?v=cxKotvnteUs", they describe how to do it. And Download the required Packages like "spawn_robot_tools" aswell from their bitbucket. But like i said, you can search for the functions of that packages and replace them.

R J gravatar imageR J ( 2018-11-08 09:19:42 -0600 )edit

@R J thanks bro I will check it.

Ibrahim_aerospace gravatar imageIbrahim_aerospace ( 2018-11-11 22:57:59 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2018-11-06 22:41:11 -0600

Seen: 352 times

Last updated: Nov 07 '18